Journal Compatibilité ASL et GPL 3

Posté par (page perso) .
Tags : aucun
0
22
nov.
2007
Je ne suis pas spécialiste des licences et j'aimerais m'assurer que ce que je veux faire est possible :

Je vais participer avec un ami au concours de Google Android. Nous voudrions que les bibliothèques que nous écrirons pour notre logiciel soient utilisable par le plus grand nombre, nous pensons donc les publier sous licence Apache (ASL).

Par contre, l'application en elle même manipulera des données importantes de l'utilisateur et nous ne voulons pas que quelqu'un sorte une version fermée de l'application qui empêcherait de vérifier ce qu'elle fait de ces données, on pensait donc la mettre sous GPL 3.

Je pense qu'il est possible pour une soft GPL 3 d'utiliser des bibliothèques en ASL sans que ça pose problème mais j'aimerais une confirmation.

Y'a-t-il des spécialistes des licences dans la salle ?
  • # Tout est là

    Posté par (page perso) . Évalué à 4.

    • [^] # Re: Tout est là

      Posté par (page perso) . Évalué à 2.

      Oui mais concrètement ... Est-ce que mon soft GPL v3 peut utiliser une bibliothèque ASL v2 ?

      Inversement je suppose que non, mais dans ce sens là j'imagine que ça doit être possible.
      • [^] # Re: Tout est là

        Posté par (page perso) . Évalué à 4.

        Salut,

        ben... compatible, c'est compatible. La GPL3 est compatible avec la licence Apache 2. Donc oui tu peux utiliser une biblio en Apache 2 pour un prog en GPL 3 et vice-versa une biblio GPL3 pour un prog en Apache 2.

        La notion de compatibilité dans ces cas de licences n'a pas d'orientation (dans d'autres cas, je sais pas si ça peut arriver quand c'est explicitement précisé. Mais ici compatible signifie que ça l'est dans tous les sens).
        'lus!

        Film d'animation libre en CC by-sa/Art Libre, fait avec GIMP et autre logiciels libres: ZeMarmot [ http://film.zemarmot.net ]

  • # Cf. FSF

    Posté par (page perso) . Évalué à 4.

    Salut,

    le meilleur spécialiste de compatibilité GPL étant la FSF, le mieux est de voir leur avis sur la question. Ils ont pour ce genre de questions une page qui liste la plupart des licences proches du Libre (du moins celles qu'ils se sont donnés le temps de zieuter).
    Cette liste classe justement les licences logiciels en 3 catégories: les Libres compatibles GPL (avec précision quand cela est nécessaire pour la 2 ou la 3), les Libres incompatibles GPL, et les non-Libres.

    la liste est là:
    http://www.fsf.org/licensing/licenses/

    La licence Apache est ainsi compatible avec la GPL 3 (mais pas la 2):

    Apache License, Version 2.0

    This is a free software license, compatible with version 3 of the GPL.

    Please note that this license is not compatible with GPL version 2, because it has some requirements that are not in the older version. These include certain patent termination and indemnification provisions.


    Bye!

    P.S.: notez que les versions antérieures, 1.0 et 1.1 de la licence Apache sont considérées comme Libres aussi, mais incompatible avec toute version de la GPL.

    Film d'animation libre en CC by-sa/Art Libre, fait avec GIMP et autre logiciels libres: ZeMarmot [ http://film.zemarmot.net ]

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.